.intro {
    position: relative;
    overflow: hidden;
    &__container {
        position: relative;
        display: flex;
        justify-content: center;
        flex-direction: column;
        height: 100%; // padding-top: rem(180);
        z-index: 2;
    }
}

.intro {
    height: 100vh;
    color: #231f20; // background: url('%=static=%assets/01_intro/intro.png') no-repeat center center rgba(#0c0b18, 0.9) / cover;
    background: #edf1f7;
    &__title {
        color: inherit;
        line-height: 1.26;
        font-weight: 700;
        max-width: rem(630);
    }
    &__slogan {
        position: relative;
        font-size: rem(20);
        line-height: 1.5;
        max-width: rem(380);
        opacity: 0.7;
    }
    &__overlay {
        position: absolute;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        background: rgba(#0c0b18, 0.5);
        z-index: 1;
    }
}

.intro {
    *+&__slogan {
        margin-top: rem(40);
    }
    *+&__button {
        margin-top: rem(65);
    }
}

.video {
    position: absolute;
    top: 0;
    width: 100vw;
    height: 100%;
}

@supports (object-fit: cover) {
    .video {
        object-fit: cover;
    }
}
